﻿using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace Sawsdl.ServiceModel.Sample
{
    [ServiceContract(Namespace = "urn:example:sawsdl:purchase-order")]    
    [SawsdlModelReference("http://www.w3.org/2002/ws/sawsdl/spec/ontology/purchaseorder")]    
    public interface IPurchaseOrder
    {
        [OperationContract]
        [SawsdlModelReference("http://www.w3.org/2002/ws/sawsdl/spec/ontology/purchaseorder#RequestPurchaseOrder")]
        OrderResponse Order(OrderRequest request);
    }
}
